package com.example.springdemo.entities;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.CreatedDate;

import java.util.Date;

//订单类
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "Indent")
public class Indent {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;//订单ID
    private Float allPrice;//菜品总价
    @CreatedDate
    private Date createdDate;//订单创建时间
    private String message;//下单备注
    @OneToOne
    private Users userID;//外键，下单用户ID
    @OneToOne
    private Merchants merchantsID;//外键，餐厅ID
}
