package com.example.springdemo.entities;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

//订单中的菜品
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Entity
public class IndentItem {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;//主键，菜品ID
    private String name;//菜品名字
    @Column(name = "initialPrice")
    private Float initialPrice;//菜品原价
    private Float discount;//折扣
    @Column(name = "finalPrice")
    private Float finalPrice;//最终价格
    private String description;//菜品描述
    @OneToOne
    private Indent indentID;//外键，订单ID
}